@echo off
set CUSTOMER=DELL
set DATESTAMP=12-April-2011
set EXE=STXcon.exe
set TEST=DELTLOD
set Config=JC47
set ERRORTEXT=zz

cls
echo   (%DATESTAMP%, %CUSTOMER%)

%EXE%  %Test%.rss %Config%.cfs
IF ERRORLEVEL 9 GOTO HASCODE
IF ERRORLEVEL 8 GOTO NOTFOUND
IF ERRORLEVEL 7 GOTO SINGLEFILE
IF ERRORLEVEL 4 GOTO NOFILES
IF ERRORLEVEL 3 GOTO SERVOFAIL
IF ERRORLEVEL 2 GOTO OVLFAIL
IF ERRORLEVEL 1 GOTO TARGETFAIL
IF ERRORLEVEL 0 GOTO PASS

:PASS
echo ******************************
echo *******  DRIVE PASSED  *******
echo ******************************
pause
GOTO DONE

:TARGETFAIL
echo **************************************************
echo *******  DRIVE FAILED TO LOAD TARGET CODE  *******
echo **************************************************
pause
GOTO DONE

:OVLFAIL
echo ***********************************************
echo *****  DRIVE FAILED TO LOAD OVERLAY CODE  *****
echo ***********************************************
pause
GOTO DONE

:SERVOFAIL
echo *************************************************
echo *******  DRIVE FAILED TO LOAD SERVO CODE  *******
echo *************************************************
pause
GOTO DONE

:NOFILES
echo *************************************
echo *****  NO FIRMWARE FILES FOUND  *****
echo *************************************
pause
GOTO DONE

:SINGLEFILE
echo *************************************
echo *****  SINGLE LOAD FILE FAILED  *****
echo *************************************
pause
GOTO DONE

:NOTFOUND
echo *********************************
echo *******  DRIVE NOT FOUND  *******
echo *********************************
pause
GOTO DONE

:HASCODE
echo *************************************************
echo *******  DRIVE ALREADY HAS THIS FIRMWARE  *******
echo *************************************************
pause
GOTO DONE


:DONE
cls
echo.
echo Thank you for using SeaTools Express.  
echo.
echo.
echo Please remove your USB flash drive and press CTRL+ALT+DEL to reboot.
echo.
echo Otherwise, turn off the power now.

